# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           figtoipe
Version:        20091205
Release:        alt1_6
Summary:        FIG to IPE conversion tool

Group:          Publishing
#
# GPLv2, with an exception for the CGAL libraries.
License:        GPLv2+ with exceptions
#
URL:            http://tclab.kaist.ac.kr/ipe/
Source0:        http://downloads.sourceforge.net/ipe7/tools/%{name}-%{version}.tar.gz
Source1:        http://www.gnu.org/licenses/gpl-2.0.txt
BuildRequires:  zlib-devel perl
Source44: import.info

%description
Figtoipe is a program that reads FIG files (as generated by
xfig) and generates an XML file readable by the Ipe editor.

%prep
%setup -q
sed -i -e 's/\r//' README figtoipe.cpp
chmod a-x README figtoipe.cpp

# extract the changelog from figtoipe.cpp
perl -ne 'if(m|\* Changes| .. m|\*/|) { m| \* (.*)| && print "$1\n";}' < figtoipe.cpp > CHANGES
# extract the license terms from figtoipe.cpp
perl -ne 'if(m|This file| .. m| USA.$|) { print;}' < figtoipe.cpp > LICENSE

cp %{SOURCE1} .

%build
%{__cxx} %{optflags} -o figtoipe figtoipe.cpp -lz

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 figtoipe $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 figtoipe.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%doc README CHANGES gpl-2.0.txt LICENSE
%{_bindir}/figtoipe
%{_mandir}/man1/figtoipe.1*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_6
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 20091205-alt1_5
- initial fc import

